Bug 171610 - CD will not mount (except during boot)
CD will not mount (except during boot)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-24 08:23 EDT by Geraldo Veiga
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version: Fedora 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 13:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geraldo Veiga 2005-10-24 08:23:51 EDT
Description of problem:
CD-ROM will not mount

Version-Release number of selected component (if applicable):
Kernel 2.6.13-1.1532_FC4
(Running on a Dell Inspiron 8100)

How reproducible: Always


Steps to Reproduce:
1. Boot without CD in drive
2. After boot and login, load CD-ROM
3.
  
Actual results:
CD-ROM will not mount

Expected results:
CD-ROM should mount and icon appear in desktop


Additional info:

Problem only occurs when a CD-ROM drive is empty during boot.  I have had
different variations on this problem since upgrading to FC4.  The kernel panics
stopped with recent upgrades, but the mount failure remains.  If a CD-ROM is
loaded before boot, the drive operates correctly.

Relevant messages from /var/log/message:

1. Hardware identification 
hdb: SAMSUNG CD-ROM SN-124, ATAPI CD/DVD-ROM drive
hdb: ATAPI 24X CD-ROM drive, 128kB Cache, UDMA(33)

2. Failure to  mount when CD is loaded after boot
Oct 24 00:31:29 localhost kernel: hdb: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Oct 24 00:31:29 localhost kernel: ide: failed opcode was: unknown
Oct 24 00:31:29 localhost kernel: hdb: drive not ready for command
Oct 24 00:31:30 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Oct 24 00:31:30 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }
Oct 24 00:31:30 localhost kernel: ide: failed opcode was: unknown
Oct 24 00:31:30 localhost kernel: hdb: DMA disabled
Oct 24 00:31:30 localhost kernel: hdb: drive not ready for command
Oct 24 00:31:30 localhost kernel: hdb: ATAPI reset complete
Oct 24 00:31:30 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Oct 24 00:31:30 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }
Oct 24 00:31:30 localhost kernel: ide: failed opcode was: unknown
Oct 24 00:31:30 localhost kernel: hdb: drive not ready for command
Oct 24 00:31:30 localhost kernel: hdb: ATAPI reset complete

... Repeats forever ...


3. Successful mount when CD is loaded before boot
Oct 24 06:25:23 localhost kernel: ide-cd: cmd 0x28 timed out
Oct 24 06:25:23 localhost kernel: hdb: DMA interrupt recovery
Oct 24 06:25:23 localhost kernel: hdb: lost interrupt
Oct 24 06:25:23 localhost kernel: hdb: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Oct 24 06:25:23 localhost kernel: ide: failed opcode was: unknown
Oct 24 06:25:23 localhost kernel: hdb: drive not ready for command
Oct 24 06:25:23 localhost kernel: hdb: status timeout: status=0xd0 { Busy }
Oct 24 06:25:23 localhost kernel: ide: failed opcode was: unknown
Oct 24 06:25:23 localhost kernel: hdb: DMA disabled
Oct 24 06:25:23 localhost kernel: hdb: drive not ready for command
Oct 24 06:25:23 localhost kernel: hdb: ATAPI reset complete
...
Oct 24 06:25:49 localhost fstab-sync[2594]: added mount point /media/cdrom for
/dev/hdb
Comment 1 Dave Jones 2005-11-10 15:22:55 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Geraldo Veiga 2005-11-13 06:22:43 EST
I installed the kernel upgrade 2.6.14-1.1637_FC4.  
The problem is still there with similar messages as in the original bug report.
Comment 3 Geraldo Veiga 2005-11-30 11:55:43 EST
Installed newly relased kernel  2.6.14-1.1644_FC4

The problem is still there with similar messages as in the original bug report.

---
Nov 30 14:53:26 localhost kernel: ide: failed opcode was: unknown
Nov 30 14:53:26 localhost kernel: hdb: drive not ready for command
Nov 30 14:53:26 localhost kernel: hdb: ATAPI reset complete
Nov 30 14:53:26 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Nov 30 14:53:26 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }
---
Comment 4 Geraldo Veiga 2005-12-24 15:00:29 EST
Installed kernel  2.6.14-1.1653_FC4, same as the moriginal report.
Comment 5 Dave Jones 2006-02-03 02:24:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Geraldo Veiga 2006-02-03 10:04:51 EST
After kernel update 2.6.15-1.1830_FC4 the problem is still there.
Comment 7 Geraldo Veiga 2006-05-10 10:29:49 EDT
After upgrade to FC5, with all kernel updates, the problem still there.
Comment 8 Gerald Cox 2006-06-01 14:35:46 EDT
I have an NEC 3450A DVD/CD Recorder.  I have never had a problem with FC4.  It
worked with CDs on FC5 fine until recently.  I rarely use the CD function so not
exactly sure when it stopped working.  Currently on kernel 2122.  I have no
problem whatsoever with DVDs, but CDs are no longer recognized.  When I lauch
the CD Player, I get a message "Drive Error".  I checked var/log/messages and no
errors show up.  I'm not sure if this is the same exact problem others have
experienced.  From what I gather it is hit or miss on whether it will affect a
particular drive.  I have a Memorex Drive in another system at FC5 2122 and that
still works fine.  When I was installing FC5 on another system with a NEC 3550
Drive, the system was able to boot, but anaconda failed when trying to mount
another CD.  The only way I was able to get around the issue was to temporarily
use an old CD drive with DVD functionality.  I have found several other reports
on the internet with others having the issue.  The workaround has been to swap
out to older non DVD function CD only drives.  This obviously is a ridiculous
workaround.
Comment 9 Geraldo Veiga 2006-08-26 14:55:16 EDT
I've had variations of this problem ever since late kernel updates of FC4.  In
case anyone comes back to this report, my CD reader still does not work with the
latest FC5 kernel -- 2.6.17-1.2174_FC5, except at installation time, with a
bootable CD.
Comment 10 Dave Jones 2006-10-16 20:23:06 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Geraldo Veiga 2006-10-24 12:05:36 EDT
kernel 2.6.18-1.2200.fc5

Audio CD will not mount.  Here is the xmessage log:

Oct 24 12:32:28 localhost gconfd (root-7238): Resolved address
"xml:readwrite:/root/.gconf" to a writable configuration source at position 1
Oct 24 12:32:28 localhost gconfd (root-7238): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source
at position 2
Oct 24 12:32:52 localhost kernel: hdb: command error: status=0x51 { DriveReady
SeekComplete Error }
Oct 24 12:32:52 localhost kernel: hdb: command error: error=0x50 {
LastFailedSense=0x05 }
Oct 24 12:32:52 localhost kernel: ide: failed opcode was: unknown
Comment 12 petrosyan 2008-03-11 12:29:15 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 13 Gerald Cox 2008-03-11 12:37:44 EDT
I haven't experienced this problem in the later releases.

Note You need to log in before you can comment on or make changes to this bug.